
From: Domen Puncer <domen@coderock.org>

convert from pci_module_init to pci_register_driver

Signed-off-by: Christophe Lucas <c.lucas@ifrance.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/hardware/avm/b1pci.c |    2 +-
 25-akpm/drivers/isdn/hardware/avm/c4.c    |    2 +-
 25-akpm/drivers/isdn/hardware/avm/t1pci.c |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/isdn/hardware/avm/b1pci.c~drivers-isdn-hardware-avm-convert-to-pci_register_driver drivers/isdn/hardware/avm/b1pci.c
--- 25/drivers/isdn/hardware/avm/b1pci.c~drivers-isdn-hardware-avm-convert-to-pci_register_driver	2005-03-06 19:57:40.000000000 -0800
+++ 25-akpm/drivers/isdn/hardware/avm/b1pci.c	2005-03-06 19:57:40.000000000 -0800
@@ -391,7 +391,7 @@ static int __init b1pci_init(void)
 		strcpy(rev, "1.0");
 
 
-	err = pci_module_init(&b1pci_pci_driver);
+	err = pci_register_driver(&b1pci_pci_driver);
 	if (!err) {
 		strlcpy(capi_driver_b1pci.revision, rev, 32);
 		register_capi_driver(&capi_driver_b1pci);
diff -puN drivers/isdn/hardware/avm/c4.c~drivers-isdn-hardware-avm-convert-to-pci_register_driver drivers/isdn/hardware/avm/c4.c
--- 25/drivers/isdn/hardware/avm/c4.c~drivers-isdn-hardware-avm-convert-to-pci_register_driver	2005-03-06 19:57:40.000000000 -0800
+++ 25-akpm/drivers/isdn/hardware/avm/c4.c	2005-03-06 19:57:40.000000000 -0800
@@ -1288,7 +1288,7 @@ static int __init c4_init(void)
 	} else
 		strcpy(rev, "1.0");
 
-	err = pci_module_init(&c4_pci_driver);
+	err = pci_register_driver(&c4_pci_driver);
 	if (!err) {
 		strlcpy(capi_driver_c2.revision, rev, 32);
 		register_capi_driver(&capi_driver_c2);
diff -puN drivers/isdn/hardware/avm/t1pci.c~drivers-isdn-hardware-avm-convert-to-pci_register_driver drivers/isdn/hardware/avm/t1pci.c
--- 25/drivers/isdn/hardware/avm/t1pci.c~drivers-isdn-hardware-avm-convert-to-pci_register_driver	2005-03-06 19:57:40.000000000 -0800
+++ 25-akpm/drivers/isdn/hardware/avm/t1pci.c	2005-03-06 19:57:40.000000000 -0800
@@ -241,7 +241,7 @@ static int __init t1pci_init(void)
 	} else
 		strcpy(rev, "1.0");
 
-	err = pci_module_init(&t1pci_pci_driver);
+	err = pci_register_driver(&t1pci_pci_driver);
 	if (!err) {
 		strlcpy(capi_driver_t1pci.revision, rev, 32);
 		register_capi_driver(&capi_driver_t1pci);
_
